HAProxy community

Haproxy 1.8.8 err: unknow keyword 'resolve-opts'

I am trying to integrate haproxy with consul but get this error


Follow find out haproxy version 1.8 was supprort for ‘resolve-opts’, but i don’t understand its get error
Pls help
Sorry for my english

Hi,

This is supposed to be supported in this version.
Can you please copy/paste your configuration in a code tag instead of screenshoting it?

I’ll try to reproduce your issue and keep you updated.
Thx for reporting

This feature has been backported to 1.8 and was first released in 1.8.14. Older 1.8 releases do not have it.

tks you,
I found the problem and installed latest version but get error:
Cannot add PPA: ‘ppa:~vbernat/ubuntu/haproxy-1.8’.
ERROR: ‘~vbernat’ user or team does not exist.

Which OS are you using and what exact commands did you execute?

i use ubuntu (window subsystem for linux), and this command
“sudo add-apt-repository ppa:vbernat/haproxy-1.8”

I don’t know a lot about WSL, but are you sure you have connectivity?

What does:

wget -O /dev/null http://ppa.launchpad.net/vbernat/haproxy-1.8/ubuntu/

in the WSL command line say?

Sorry I’m not at the company, The problem is i am behind a proxy and I edited the apt.conf and exported http_proxy environment variable appropriately, but still this PPA problem is unsolved.